cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From S Overflow <wolfrevokca...@gmail.com>
Subject cxf-codegen-plugin and JDK 8 - another error
Date Wed, 20 May 2015 18:36:16 GMT
I was able to update the Saxon and get past the "illegal configuration-file
syntax" problem.  Now I am getting this error:

Failed to execute goal org.apache.cxf:cxf-codegen-plugin:3.0.4:wsdl2java
(codegen-wsdl) on project processor-common:
Execution codegen-wsdl of goal
org.apache.cxf:cxf-codegen-plugin:3.0.4:wsdl2java failed:
java.lang.IllegalStateException: You are running with invalid JAXP api or
implementation.
JAXP api/implementation of version 1.3.1 (included in JDK6) or higher is
required.

I am using jdk 1.8.3_31, maven 3.2.5 and cxf 3.0.4.

Thanks,

K



On Fri, May 1, 2015 at 9:39 AM, Daniel Kulp <dkulp@apache.org> wrote:

> You will likely need to figure out where saxon is coming from and possibly
> update that or exclude it.   It’s not something we grab in our
> dependencies, but it may be something you are depending on somewhat and
> that might also need updating for Java8.
>
> Dan
>
>
>
> > On May 1, 2015, at 7:42 AM, S Overflow <wolfrevokcats5@gmail.com> wrote:
> >
> > I am trying to update some web services code developed for Java 6 to Java
> > 8. The modules use the maven cxf-codegen-plugin. The Java 6 version used
> > cxf version 2.2.2. I was able to get it working with Java 7 by updating
> cxf
> > to 2.7.9 but haven't be able to build under Java 8. I tried updating cxf
> to
> > 3.0.3 but still get this error:
> >
> > XPathFactory#newInstance() failed to create an XPathFactory for the
> default
> > object model: http://java.sum.com/jaxp/xpath/dom with the
> > XPathFactoryConfigurationException:
> > javax.xml.xpath.XPathFactoryConfigurationException:
> > java.xml.xpath.XPathFactory:
> >
> jar:file:/c:/Documents%20and%20Settings/Kevin/.m2/repository/saxon/saxon-xpath/
> >
> 8.9.0.3/saxon-xpath-8.9.0.3.jar!META-INF/services/javax.xml.xpath.XPathFactory:2
> :
> > Illegal configuration-file syntax
> >
> > I am using jdk 1.8.0_31, maven 3.0.3 and cxf 3.0.3.
> >
> >
> > Thanks,
> >
> > K
>
> --
> Daniel Kulp
> dkulp@apache.org - http://dankulp.com/blog
> Talend Community Coder - http://coders.talend.com
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message